Subject: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Stephen Berman <[email-masked]>
Date: Fri, 17 May 2024 15:21:39 +0200

On Fri, 17 May 2024 15:15:57 +0200 Robert Pluim <[email-masked]> wrote:

>>>>>> On Fri, 17 May 2024 14:53:39 +0200, Stephen Berman
> <[email-masked]> said:
>
>     Stephen> On Fri, 17 May 2024 14:10:03 +0200 Robert Pluim
>     Stephen> <[email-masked]> wrote:
>     Stephen> [...]
>     >> >> (The official German layout has them on 2nd or 3rd
>     >> >> level shift variants of 'x' and 'v', which I thought was too
>     >> >> convoluted to emulate).
>     >> 
>     >> 'AltGr × <release> S-v' to produce "‘", for example, where '×' is
>     >> located where Iʼd put ESC.
>
>     Stephen> Sorry, I don't follow you here.  (Or do you mean like the key sequences
>     Stephen> I give for these characters below?  But there there's no ESC and no
>     Stephen> release.)
>
> Sorry, itʼs the T2 sequence for entering "‘", just to show why we
> donʼt want to emulate it.

Ah, ok.

>     Stephen> Probably.  To add to the convolution, I use a German keyboard under
>     Stephen> Xfce4 with the no dead keys layout, and that assigns "„" to AltGr-v and
>     Stephen> "“" to AltGr-b; no idea why...
>     >> 
>     >> Thatʼs a gratuitous but coherent difference from the T2 layout, and
>     >> much easier to type. 'C-x 8 v' and 'C-x 8 b' (and thus 'A-v' and
>     >> 'A-b') are unused by iso-transl, we could put them there as well (or
>     >> only there) for the German language, since they seem sensible.
>     >> 
>     >> Where do you have "‚" and "‘"? We can copy those as well.
>
>     Stephen> AltGr-S-v for "‚" and AltGr-S-b for "‘", which nicely parallels the
>     Stephen> bindings for "„" and "“", but it seems that can't be done with the C-x 8
>     Stephen> map: Typing `C-x 8 S-v' tells me "C-x 8 v is undefined" (n.b.:
>     Stephen> "v" not "V").
>
> It can be done, we just need to add the mappings to
> iso-transl.el. Emacs is showing "v" instead of "V" because it
> automatically downcases the binding when thereʼs no binding for the
> uppercase key sequence. See eg 'C-x 8 L' which has only an upper case
> binding, or 'C-x 8 c', which has both upper and lower case bindings.

Thanks, TIL yet again!

> Iʼll update the patch to use v/b/n, and drop the 9/0 bindings, which
> aligns Emacs with the usual GNU/Linux German keyboard layout.

Sounds good.

Steve Berman